Bug 463122 - No keyboard in xorg-x11-server-1.5.0-1
No keyboard in xorg-x11-server-1.5.0-1
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 464749
  Show dependency treegraph
 
Reported: 2008-09-21 19:29 EDT by Michael McLagan
Modified: 2018-04-11 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 05:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf for 1.5.0 Xorg server (211 bytes, text/plain)
2008-09-26 01:28 EDT, Michael McLagan
no flags Details
1.5.0-1 server booted with minimal xorg.conf, black after login (22.78 KB, text/plain)
2008-09-26 01:30 EDT, Michael McLagan
no flags Details
Log of current, active, functional session startup (26.57 KB, text/plain)
2008-09-26 01:31 EDT, Michael McLagan
no flags Details

  None (edit)
Description Michael McLagan 2008-09-21 19:29:03 EDT
Description of problem:

Sony VAIO laptop, GE Force 5600.  Start laptop in X, log in, screen
goes black and stays that way.  The updated X server also required an xorg.conf file to even use it -- it failed to include default pointer and keyboard modules.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg        i386        1.5.0-1.fc9

How reproducible:

Always, anything beyond the distribution server -- the 20080702 update did not work either.

Steps to Reproduce:
1.  Update X server
2.  Restart X server
3.  Log in
  
Actual results:

Screen goes black, stays black.  Have to switch to text console (Ctrl-Alt-F1) to regain control of machine.

Expected results:

Normal X/KDE startup activity

Additional info:

This setup works:xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-server-common-1.5.0-1.fc9.i386
xorg-x11-server-utils-7.4-1.fc9.i386
xorg-x11-server-devel-1.5.0-1.fc9.i386
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386
xorg-x11-drv-nv-2.1.10-1.fc9.i386
xorg-x11-drv-vesa-2.0.0-1.fc9.i386
xorg-x11-drv-evdev-2.0.4-1.fc9.i386
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386
xorg-x11-drv-vga-4.1.0-5.fc8.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386

Any other xorg-x11-server-Xorg from Fedora updates fails with all other components at the same versions shown above.
Comment 1 Matěj Cepl 2008-09-22 10:59:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Michael McLagan 2008-09-26 01:26:42 EDT
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386

I ran with no xorg.conf prior to starting up 1.5.0-1 when I found that it did not find the keyboard and mouse at which time I installed a very simple file, 
enough to get the mouse/keyboard recognised.  I didn't remove it when I downgraded back to the above version, but I'll include it nonetheless.
Comment 3 Michael McLagan 2008-09-26 01:28:27 EDT
Created attachment 317765 [details]
xorg.conf for 1.5.0 Xorg server
Comment 4 Michael McLagan 2008-09-26 01:30:27 EDT
Created attachment 317766 [details]
1.5.0-1 server booted with minimal xorg.conf, black after login
Comment 5 Michael McLagan 2008-09-26 01:31:12 EDT
Created attachment 317767 [details]
Log of current, active, functional session startup
Comment 6 Matěj Cepl 2008-09-30 03:44:33 EDT
Just to make sure we are not lost, this bug report stays for the keyboard issues, and cloned bug 464749 will be for the display issues.
Comment 7 Peter Hutterer 2008-10-01 00:43:17 EDT
Renaming bug to "no keyboard in xorg-x11-server-1.5.0-1".

No keyboard/mouse is caused by a default that changed upstream and conflicted with a F9 patch. This was fixed with xorg-x11-server-1.5.0-2, can you please verify this?
Comment 8 Matěj Cepl 2008-10-29 05:54:19 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 9 Nadav Kavalerchik 2009-04-09 03:05:58 EDT
i have the same issue on Debian (experimental)
with no solution (yet :-)

Note You need to log in before you can comment on or make changes to this bug.